# Interface AlignmentIterator

All Superinterfaces:
  `Alignment, Fragment`

public interface AlignmentIterator extends Alignment
Iterates across a list of Alignments

## Field Summary

### Fields inherited from interface Alignment

`all, clipLeft, clipRight, maxMapQuality, minMapQuality, noWraparound, passDuplicates, passFailed, primaryAlignment, secondaryAlignment, startWithinSlice`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`nextAlignment()`
Advance to first alignment on initial invocation Advance to next Alignment subsequently

### Methods inherited from interface Alignment

`getAlignedFragmentBases, getAlignmentCategory, getAlignmentId, getAlignmentLength, getAlignmentPosition, getClippedFragmentBases, getClippedFragmentQualities, getIsReversedOrientation, getLongCigar, getMappingQuality, getMateAlignment, getMateAlignmentId, getMateIsReversedOrientation, getMateReferenceSpec, getReadGroup, getReadId, getReferenceBases, getReferenceSpec, getRNAOrientation, getShortCigar, getSoftClip, getTemplateLength, hasMate`

### Methods inherited from interface Fragment

`getFragmentBases, getFragmentBases, getFragmentBases, getFragmentId, getFragmentQualities, getFragmentQualities, getFragmentQualities, isAligned, isPaired`

## Method Details

### nextAlignment

boolean nextAlignment() throws ErrorMsg
Advance to first alignment on initial invocation Advance to next Alignment subsequently

Returns:
  false if no more Alignments are available.
Throws:
  `ErrorMsg` - if more Alignments should be available, but could not be accessed.